RadioLib Universal wireless communication library for Arduino

Public Member Functions | List of all members
ITA2String Class Reference

ITA2-encoded string. More...

`#include <ITA2String.h>`

## Public Member Functions
| ITA2String (char c)
| Default single-character constructor. More...
| ITA2String (const char *str)
| Default string constructor. More...
| ~ITA2String ()
| Default destructor.
size_t | length ()
| Gets the length of the ITA2 string. This number is not the same as the length of ASCII-encoded string! More...
uint8_t * | byteArr ()
| Gets the ITA2 representation of the ASCII string set in constructor. More...

## Detailed Description

ITA2-encoded string.

## Constructor & Destructor Documentation

## ◆ ITA2String() [1/2]

ITA2String::ITA2String | ( | char | c | ) |

Default single-character constructor.

Parameters

  c | ASCII-encoded character to encode as ITA2.

## ◆ ITA2String() [2/2]

ITA2String::ITA2String | ( | const char * | str | ) |

Default string constructor.

Parameters

  str | ASCII-encoded string to encode as ITA2.

## Member Function Documentation

## ◆ byteArr()

uint8_t * ITA2String::byteArr | ( |  | ) |

Gets the ITA2 representation of the ASCII string set in constructor.

Returns
  Pointer to dynamically allocated array, which contains ITA2-encoded bytes. It is the caller's responsibility to deallocate this memory!

## ◆ length()

size_t ITA2String::length | ( |  | ) |

Gets the length of the ITA2 string. This number is not the same as the length of ASCII-encoded string!

Returns
  Length of ITA2-encoded string.

The documentation for this class was generated from the following files:

- src/protocols/Print/ITA2String.h
- src/protocols/Print/ITA2String.cpp